%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name compression-webpack-plugin

Name: %{?scl_prefix}nodejs-compression-webpack-plugin
Version: 10.0.0
Release: 1%{?dist}
Summary: Prepare compressed versions of assets to serve them with Content-Encoding
License: MIT
Group: Development/Libraries
URL: https://github.com/webpack-contrib/compression-webpack-plugin
Source0: https://registry.npmjs.org/@types/json-schema/-/json-schema-7.0.15.tgz
Source1: https://registry.npmjs.org/ajv/-/ajv-8.12.0.tgz
Source2: https://registry.npmjs.org/ajv-formats/-/ajv-formats-2.1.1.tgz
Source3: https://registry.npmjs.org/ajv-keywords/-/ajv-keywords-5.1.0.tgz
Source4: https://registry.npmjs.org/compression-webpack-plugin/-/compression-webpack-plugin-10.0.0.tgz
Source5: https://registry.npmjs.org/fast-deep-equal/-/fast-deep-equal-3.1.3.tgz
Source6: https://registry.npmjs.org/json-schema-traverse/-/json-schema-traverse-1.0.0.tgz
Source7: https://registry.npmjs.org/punycode/-/punycode-2.3.1.tgz
Source8: https://registry.npmjs.org/randombytes/-/randombytes-2.1.0.tgz
Source9: https://registry.npmjs.org/require-from-string/-/require-from-string-2.0.2.tgz
Source10: https://registry.npmjs.org/safe-buffer/-/safe-buffer-5.2.1.tgz
Source11: https://registry.npmjs.org/schema-utils/-/schema-utils-4.2.0.tgz
Source12: https://registry.npmjs.org/serialize-javascript/-/serialize-javascript-6.0.2.tgz
Source13: https://registry.npmjs.org/uri-js/-/uri-js-4.4.1.tgz
Source14: nodejs-compression-webpack-plugin-%{version}-registry.npmjs.org.tgz
BuildRequires: %{?scl_prefix_nodejs}npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(@types/json-schema)) = 7.0.15
Provides: bundled(npm(ajv)) = 8.12.0
Provides: bundled(npm(ajv-formats)) = 2.1.1
Provides: bundled(npm(ajv-keywords)) = 5.1.0
Provides: bundled(npm(compression-webpack-plugin)) = 10.0.0
Provides: bundled(npm(fast-deep-equal)) = 3.1.3
Provides: bundled(npm(json-schema-traverse)) = 1.0.0
Provides: bundled(npm(punycode)) = 2.3.1
Provides: bundled(npm(randombytes)) = 2.1.0
Provides: bundled(npm(require-from-string)) = 2.0.2
Provides: bundled(npm(safe-buffer)) = 5.2.1
Provides: bundled(npm(schema-utils)) = 4.2.0
Provides: bundled(npm(serialize-javascript)) = 6.0.2
Provides: bundled(npm(uri-js)) = 4.4.1
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 14 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --legacy-peer-deps --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/types %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/README.md

%changelog
* Thu Apr 11 2024 Evgeni Golov 10.0.0-1
- Add nodejs-compression-webpack-plugin generated by npm2rpm using the bundle strategy
